<?php
/**
 * @project Astra.CMS
 * @link http://a-cms.ru/
 * @copyright 2010 "Астра Вебтехнологии"
 * @author Vitaly Hohlov <admin@a-cms.ru>
 * @package Blocks
 */
/**************************************************************************/

/**
 * Серверная сторона AJAX настройки блока "Список комментариев".
 *
 * <a href="http://wiki.a-cms.ru/blocks/comments">Руководство</a>.
 */

class comments_BlockRequest extends A_Request
{
/**
 * Маршрутизатор действий.
 */

  function Action($action)
  {
    switch($action)
    { case "add": $this->Add(); break;
	  case "edit": $this->Edit(); break;
	}
  }

/**
 * Обработчик действия: Отдает форму добавления.
 */

  function Add()
  {
	$form = new A_Form("block_comments_add.tpl");
	$form->data['sections']=array();
	A::$DB->query("SELECT * FROM ".DOMAIN."_sections ORDER BY sort");
	while($row=A::$DB->fetchRow())
	if($row['module']=='guestbook' || getOption(DOMAIN."_".$row['lang']."_".$row['name'],'usecomments'))
	$form->data['sections'][$row['id']]=$row['caption'];
	A::$DB->free();
	$form->data['idsections']=array_keys($form->data['sections']);
	$this->RESULT['html']=$form->getContent();
  }

/**
 * Обработчик действия: Отдает форму редактирования.
 */

  function Edit()
  {
	$form = new A_Form("block_comments_edit.tpl");
    $block=A::$DB->getRowById($_POST['id'],DOMAIN."_blocks");
	$form->data=!empty($block['params'])?unserialize($block['params']):array();
	$form->data['sections']=array();
	A::$DB->query("SELECT * FROM ".DOMAIN."_sections ORDER BY sort");
	while($row=A::$DB->fetchRow())
	if($row['module']=='guestbook' || getOption(DOMAIN."_".$row['lang']."_".$row['name'],'usecomments'))
	$form->data['sections'][$row['id']]=$row['caption'];
	A::$DB->free();
	$this->RESULT['html']=$form->getContent();
  }
}

A::$REQUEST = new comments_BlockRequest;